#include "descriptor/descriptor.h"

int main(void)
{
	/********Definizione elementi*******/
	ITEM light, fuoco;
	//PERSONAGGIO
	ITEM testa, orecchiosx, orecchiodx, naso, occhio1, occhio2, sopracciglio1, sopracciglio2, faccia, bocca;
	ITEM corpo, bracciodx, bracciosx, gambadx, gambasx, pancia, scarpadx, scarpasx, cintura;
	ITEM palmo, pollice, indice, medio, anulare, mignolo, polso;
	//STANZA
	ITEM pavimento, soffitto, paretedx, paretesx, sfondo;
	//ARREDAMENTO
	//SEDIA
	ITEM gambasedia1, gambasedia2,gambasedia3,gambasedia4, poggiapiedi, poggiatesta, schienale, sedile, bracciolodx, bracciolosx;
	//TAVOLO
	ITEM pianotavolo, gambatavolo1, gambatavolo2, sottotavolo;
	//tappeto
	ITEM tappeto;
	//CAMINO
	ITEM basecamino, assecamino1, assecamino2, asseHcamino, anellopentola, supportopentola, pentola, sfondocamino;
	//VASO
	ITEM corpovaso, decorvaso;
	//PORTA
	ITEM pianoporta, pomello, cardineH, cardineL;
	//portafrutta
	ITEM portafrutta;
	//ATTRIBUTI
	ITEM attr,attr2, attr3, attr4, attr5;	
	//Diverse liste a seconda delle texture applicate
	ITEM shrek, pelle, maglia, pantaloni, sopracciglia, occhi, scena, mano, manodx, pareti, tavolo, sedia, camino, vaso, porta;
	
	
	/*******Impostazioni generali della scena*******/
	set_background(0.4,0.6,1.00,TRUE);
	set_ambient_light(1,1,1,0.7);
	light = create_point_light(1.775,3.628,1.185,1,1,1,0.8,0,"luce");

	/****Creazione attributi********/
	attr = create_attribute("generico");
	set_color(attr,0.2,0.2,1,0.3,0.5);
	set_reflectivity(attr,0,6);

	attr2=create_attribute("coccio_opaco");
	set_color(attr2,1,1,1,0.3,0.4);
	set_reflectivity(attr2,0.1,1);

	attr3 = create_attribute("nero");
	set_color(attr3,0,0,0,0.1,0.1);
	set_reflectivity(attr3,0,6);

	attr4 = create_attribute("bronzo");
	set_color(attr4,0.6,0.4,0,0.3,0.15);
	set_reflectivity(attr4,0.3,20);
	
	attr5 = create_attribute("bocca");
	set_color(attr5, 1,0.8,0.4,0.3,0.4);
	set_reflectivity(attr5,0,7);	

	/******Lettura superfici*****/
	//SUPERFICI PERSONAGGIO
	testa = read_nurbs("testa_trimmata2.dbe");
	faccia = read_nurbs("faccia4.db");
	bocca = read_nurbs("bocca_new3.db");
	orecchiosx = read_nurbs("orecchio2.db");
	orecchiodx = read_nurbs("orecchiodx.db");
	naso = read_nurbs("naso.db");
	occhio1 = read_nurbs("occhio1.db");
	occhio2 = read_nurbs("occhio2.db");
	sopracciglio1 = read_nurbs("sopracciglio.db");
	sopracciglio2 = create_copy(sopracciglio1, "sopracciglio2");
	corpo = read_nurbs("corpo.db");
	bracciodx = read_nurbs("bracciodx.db");
	bracciosx = read_nurbs("bracciosx.db");
	gambadx = read_nurbs("gambadx.db");
	gambasx = read_nurbs("gambasx.db");
	pancia = read_nurbs("pancia.db");
	scarpasx = read_nurbs("scarpasx.db");
	scarpadx = read_nurbs("scarpadx.db");
	palmo = read_nurbs("palmo.db");
	pollice = read_nurbs("pollice.db");
	indice = read_nurbs("indice.db");
	medio = read_nurbs("medio.db");
	anulare = read_nurbs("anulare.db");
	mignolo = read_nurbs("mignolo.db");
	polso = read_nurbs("polso.db");
	cintura = read_nurbs("cintura.db");

	//SUPERFICI STANZA
	pavimento = read_nurbs("pavimento.db");
	paretesx = read_nurbs("paretesx.db");
	sfondo = read_nurbs("sfondo_trimmato.dbe");
	soffitto = create_copy(pavimento, "soffitto");
	paretedx = create_copy(paretesx, "paretedx");

	//SUPERFICI ARREDAMENTO
	//SEDIA
	gambasedia1 = read_nurbs("gambasedia1.db");
	poggiapiedi  = read_nurbs("poggiapiedi.db");
	poggiatesta  = read_nurbs("poggiatesta.db");
	schienale = read_nurbs("schienale.db");
	sedile = read_nurbs("sedile.db");
	bracciolosx = read_nurbs("bracciolosx.db");

	bracciolodx = create_copy(bracciolosx, "bracciolodx");

	gambasedia2 = create_copy(gambasedia1, "gambasedia2");
	gambasedia3 = create_copy(gambasedia1, "gambasedia3");
	gambasedia4 = create_copy(gambasedia1, "gambasedia4");	

	//TAVOLO
	pianotavolo = read_nurbs("pianotavolo.db");
	gambatavolo1 = read_nurbs("gambatavolo.db");
	gambatavolo2 = read_nurbs("gambatavolo2.db");
	sottotavolo = read_nurbs("sottotavolo.db");

	//tappeto	
	tappeto = read_nurbs("tappeto.db");

	//VASO
	corpovaso = read_nurbs("vaso.db");
	decorvaso = read_nurbs("decorazionevaso.db");

	//portafrutta
	portafrutta = read_nurbs("portafrutta.db");

	//CAMINO
	basecamino = read_nurbs("basecamino.db");
	assecamino1 = read_nurbs("assecamino.db");
	assecamino2 = create_copy(assecamino1, "assecamino2");
	asseHcamino = read_nurbs("asseHcamino.db");
	sfondocamino = read_nurbs("sfondocamino.db");
	anellopentola = read_nurbs("anellopentola.db");
	pentola = read_nurbs("pentola.db");
	supportopentola = read_nurbs("supportopentola.db");

	//PORTA
	pianoporta = read_nurbs("porta.db");
	cardineH = read_nurbs("cardine.db");
	cardineL = create_copy(cardineH, "cardineL");
	pomello = read_nurbs("pomello.db");

	/*****Settaggio attributi*****/
	//vaso
	set_attribute(corpovaso, attr2);
	set_attribute(decorvaso, attr);

	//portafrutta
	set_attribute(portafrutta, attr4);
	
	//CAMINO
	set_attribute(anellopentola, attr4);
	set_attribute(supportopentola, attr4);
	set_attribute(sfondocamino,attr3);
	
	//PORTA
	set_attribute(pomello,attr4);
	set_attribute(cardineH, attr4);
	set_attribute(cardineL, attr4);

	//bocca
	set_attribute(bocca, attr5);

	/****Gestione liste****/
	mano = create_list(palmo, "mano");
	mano = insert_in_list(mano, pollice);	
	mano = insert_in_list(mano,indice);
	mano = insert_in_list(mano,medio);
	mano = insert_in_list(mano,anulare);
	mano = insert_in_list(mano,mignolo);
	mano = insert_in_list(mano,polso);
	
	//creo una copia della mano per fare l'altra
	manodx = create_copy(mano, "manodx");

	pelle = create_list(testa,"pelle");
	pelle = insert_in_list(pelle,orecchiosx);	
	pelle = insert_in_list(pelle,orecchiodx);
	pelle = insert_in_list(pelle,naso);
	pelle = insert_in_list(pelle,faccia);
	pelle = insert_in_list(pelle, mano);
	pelle = insert_in_list(pelle, manodx);
	
	maglia = create_list(corpo, "maglia");
	maglia = insert_in_list(maglia,pancia);
	maglia = insert_in_list(maglia,bracciosx);
	maglia = insert_in_list(maglia,bracciodx);

	sopracciglia = create_list(sopracciglio1, "sopracc");
	sopracciglia = insert_in_list(sopracciglia, sopracciglio2);
	
	occhi = create_list(occhio1, "eyes");
	occhi = insert_in_list(occhi,occhio2);	
	
	//in questa lista inserisco tutti i pezzi del pupazzo, sia le liste, sia i singoli pezzi
	shrek = create_list(pelle, "shrek");
	shrek = insert_in_list(shrek, maglia);
	shrek = insert_in_list(shrek, sopracciglia);
	shrek = insert_in_list(shrek, occhi);
	shrek = insert_in_list(shrek, gambadx);
	shrek = insert_in_list(shrek, gambasx);
	shrek = insert_in_list(shrek, scarpadx);
	shrek = insert_in_list(shrek, scarpasx);
	shrek = insert_in_list(shrek, cintura);
	shrek = insert_in_list(shrek, bocca);

	//PARETI
	pareti = create_list(pavimento, "pareti");
	pareti = insert_in_list(pareti, paretesx);
	pareti = insert_in_list(pareti, sfondo);
	pareti = insert_in_list(pareti, soffitto);
	pareti = insert_in_list(pareti, paretedx);

	//ARREDAMENTO
	//tavolo
	tavolo = create_list(pianotavolo, "tavolo");
	tavolo = insert_in_list(tavolo, gambatavolo1);
	tavolo = insert_in_list(tavolo, gambatavolo2);
	tavolo = insert_in_list(tavolo, sottotavolo);

	//sedia
	sedia = create_list(gambasedia1, "sedia");
	sedia = insert_in_list(sedia, gambasedia2);
	sedia = insert_in_list(sedia, gambasedia3);
	sedia = insert_in_list(sedia, gambasedia4);
	sedia = insert_in_list(sedia, poggiatesta);
	sedia = insert_in_list(sedia, poggiapiedi);
	sedia = insert_in_list(sedia, schienale);
	sedia = insert_in_list(sedia, sedile);
	sedia = insert_in_list(sedia, bracciolosx);
	sedia = insert_in_list(sedia, bracciolodx);
	
	//CAMINO
	camino = create_list(basecamino, "camino");
	camino = insert_in_list(camino, assecamino1);
	camino = insert_in_list(camino, assecamino2);
	camino = insert_in_list(camino, asseHcamino);
	camino = insert_in_list(camino, sfondocamino);
	camino = insert_in_list(camino, anellopentola);
	camino = insert_in_list(camino, pentola);
	camino = insert_in_list(camino, supportopentola);

	//vaso
	vaso = create_list(corpovaso, "vaso");
	vaso = insert_in_list(vaso, decorvaso);
	
	//porta
	porta = create_list(pianoporta, "porta");
	porta = insert_in_list(porta, cardineH);
	porta = insert_in_list(porta, cardineL);
	porta = insert_in_list(porta, pomello);

	/****posizioni definitive********/
	scena = create_list(vaso, "scena");	
	scena = insert_in_list(scena, pareti);
	scena = insert_in_list(scena, tavolo);
	scena = insert_in_list(scena, sedia);
	scena = insert_in_list(scena, tappeto);
	scena = insert_in_list(scena, camino);
	scena = insert_in_list(scena, porta);
	scena = insert_in_list(scena, portafrutta);
	

	/*********Trasformazioni sulle singole superfici***********/
		//manosx
	set_scale(mano,0.5,0.5,0.5);
	set_z_rotate(mano, 90, 1);
	set_y_rotate(mano, 110, 1);
	set_z_rotate(mano, 40, 1);
	set_translate(mano,-0.59,0.45,0.12);
		
		//manodx
	set_scale(manodx,0.5,0.5,0.5);
	set_z_rotate(manodx, -90, 1);
	set_y_rotate(manodx, -120, 1);
	set_z_rotate(manodx, -25, 1);
	set_translate(manodx,0,0.4,0.05);

	//naso
	set_x_rotate(naso, 15, 1);
	set_translate(naso, 0.02,0.24,-0.07);

	//occhi - li muovo insieme
	set_translate(occhi, 0.02,0.04,-0.07);

	//sopracciglia
	set_x_rotate(sopracciglia,27,1);
	set_scale(sopracciglia,1,1.5,1.5);
	//Sopracciglio dx
	set_translate(sopracciglio1,0.02,0.71,-0.54);
	//sopracciglio sx
	set_scale(sopracciglio2,-1,1,1);
	set_translate(sopracciglio2, -0.72,0.71,-0.54);
	
	//cintura
	set_scale(cintura, 0.65,0.68,0.8);
	set_translate(cintura,-0.2,0.14, -0.26);

		//Pareti
	set_scale(sfondo, 2,1,1);
	set_scale(soffitto,2,3,1);
	set_scale(pavimento,2,3,1);
	set_scale(paretedx, 1,3,1);
	set_scale(paretesx, 1,3,1);

	set_translate (paretedx,-3,2,0);
	set_translate(paretesx, 1, 2,0);
	set_translate(pavimento, 0,2,0);
	set_translate(soffitto, 0,2,2);
	
	set_translate(pareti, 0,-2.5,0.5);
		
		//tavolo
	set_scale(tavolo, 0.4,0.4,0.4);
	set_translate(tavolo, 0,-0.079,-0.456);
			
		//sedia
	set_translate(gambasedia2,-0.28,0,0);
	set_translate(gambasedia3,0,-0.28,0);
	set_translate(gambasedia4,-0.28,-0.28,0);
	set_translate(bracciolodx, 0.45, 0,0);

	set_z_rotate(sedia, -60, 1);
	set_scale(sedia, 1,0.8,0.8);
	set_translate(sedia, -0.5,-0.887,0.0);	

	//tappeto
	set_translate(tappeto,0,0.209,-0.500);

	//vaso
	set_scale(vaso, 0.2,0.2,0.2);
	set_translate(vaso, 0,-0.019,0.093); 
	
	//portafrutta
	set_scale(portafrutta, 0.3,0.3,0.3);
	set_z_rotate(portafrutta, 106,1);
	set_translate(portafrutta, -0.138, 0.587,-0.060 );

	//camino
	set_scale(camino, 0.6,0.6,0.6);
	set_y_rotate(assecamino2, 60, 1);
	set_translate(assecamino2, -1,0,0);
	set_scale(basecamino, 0.8,1,1);
	set_translate(basecamino, 0.1,0,0);
	set_z_rotate(camino, -90,1);
	set_translate(camino, -1.692,-0.624,0.35);

	//PORTA
	set_scale(porta, 0.7,0.7,0.7);
	set_translate(porta, 0.5, -3.5, 0.296);
	set_translate(cardineL,0,0, -0.976);
	set_scale(porta, 1,1,0.88);
	
	/****Settaggio textures*****/
	//personaggio
	set_domain_texture(pelle, attr, "textures/skin.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(maglia, attr, "textures/fabric.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(sopracciglia, attr, "textures/pelo2.hr",0,1,0,1,FALSE,0.4,0.4);
	set_domain_texture(gambasx, attr, "textures/fabricpant.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(gambadx, attr, "textures/fabricpant.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(occhi, attr, "textures/occhi.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(scarpadx, attr, "textures/scarpe.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(scarpasx, attr, "textures/scarpe.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(cintura, attr, "textures/cintura.hr",0,1,0,1,FALSE,0.4,0.4);	
	//tavolo
	set_projection_texture(pianotavolo,attr,"textures/wood3.hr",2,TRUE,0.4,0.4);
	set_projection_texture(gambatavolo1,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);	
	set_projection_texture(gambatavolo2,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);	
	set_projection_texture(sottotavolo,attr,"textures/wood2.hr",2,TRUE,0.4,0.4);	
	
	//pareti
	set_projection_texture(pavimento,attr,"textures/pietra.hr",2,TRUE,0.4,0.4);
	set_projection_texture(soffitto,attr,"textures/muro.hr",2,TRUE,0.4,0.4);
	set_projection_texture(sfondo,attr,"textures/muro.hr",1,TRUE,0.4,0.4);
	set_projection_texture(paretedx,attr,"textures/muro.hr",0,TRUE,0.4,0.4);
	set_projection_texture(paretesx,attr,"textures/muro.hr",0,TRUE,0.4,0.4);

	//sedia
	set_projection_texture(gambasedia1,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia2,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia3,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia4,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(poggiapiedi,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_domain_texture(sedile, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(schienale, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(bracciolodx, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(bracciolosx, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);
	set_domain_texture(poggiatesta, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);

	//tappeto
	set_projection_texture(tappeto,attr,"textures/carpet.hr",2,TRUE,0.4,0.4);
	
	//camino
	set_projection_texture(assecamino1,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(assecamino2,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(basecamino,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(asseHcamino,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_domain_texture(pentola, attr, "textures/rame.hr",0,1,0,1,TRUE,0.4,0.4);
	set_domain_texture(sfondocamino, attr, "textures/fiamme.hr",0,1,0,1,TRUE,0.4,0.4);

	//porta
	set_projection_texture(pianoporta,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	
	/*********Salvataggio animazione**********/
	
	//N.frame 0
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 1	
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 2	
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 3
	save_scene_ani(100,"miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 4
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 5
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 6
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 7
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 8
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 9
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 10 - qui la telecamera si ferma perchè inquadra la porta
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 11 - la camera inquadra la porta che incomincia ad aprirsi - durata 16 frame (80° -> 5° per frame)
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.3,0.1,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 12
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.3,0.07,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 13
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.3,0.07,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 14
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.3,0.07,0); 
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 15
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.33,0.07,0); 
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 16
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.33,0.09,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 17
	//creo uno sfondo per l'esterno, copiando il pavimento
	ITEM pavimento_esterno;
	pavimento_esterno = create_copy(pavimento, "pavimentoesterno");
	set_scale(pavimento_esterno,2,3,1);
	set_translate(pavimento_esterno,0,-11,0);
	scena = insert_in_list(scena, pavimento_esterno);
	set_projection_texture(pavimento_esterno,attr,"textures/wood3.hr",2,TRUE,0.4,0.4);
	set_z_rotate(porta, -5, 1); 
 	set_translate(porta,0.33,0.085,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 18 - qui si incomincia a vedere la figura di shrek
	scena = insert_in_list(scena, shrek);
	//personaggio	
	set_scale(shrek, 0.5,0.5,0.5);
	//set_z_rotate(shrek, 35,1);
	set_translate(shrek,0.5,-3.6,0.1);
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.33,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 19
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.33,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 20
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.27,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 21
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.27,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 22
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.27,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 23
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.30,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 24
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.31,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 25
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.31,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 26
	set_z_rotate(porta, -5, 1);  
	set_translate(porta,0.31,0.08,0);
	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 27
	//creo delle liste per gli arti che sono quello che devo muovere
	ITEM gambasinistra, gambadestra, bracciosinistro;

	bracciosinistro = create_list(mano, "bracciosinistro");
	bracciosinistro = insert_in_list(bracciosinistro, bracciosx);

	gambasinistra = create_list(gambasx, "gambasinistra");
	gambasinistra = insert_in_list(gambasinistra, scarpasx);

	gambadestra = create_list(gambadx, "gambadestra");
	gambadestra = insert_in_list(gambadestra, scarpadx);
	
	//movimento delle gambe per la camminata è scomposto in 4 movimenti (2 per gamba) divisi in 4 frame: 2 frame per passo
	//PRIMO MOVIMENTO: si porta la gamba sinistra in avanti
	set_x_rotate(gambasinistra, 10,1);
	set_translate(gambasinistra, 0,0,0.65);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 28
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,0,-0.6);
	set_translate(shrek,0,0.3,0);
	set_x_rotate(gambadestra,-10,1);
	set_translate(gambadestra,0,0,-0.5);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 29
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambadestra, 20,1);
	set_translate(gambadestra, 0,-0.15,1.05);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 30
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	//dopodichè il movimento per intero viene ripetuto diverse volte
	set_x_rotate(gambadestra, -10, 1);
	set_translate(gambadestra, 0,-0.1,-0.5);
	set_translate(shrek, 0,0.4,0);
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,-0.1,-0.5);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 31
	//PRIMO MOVIMENTO: si porta la gamba sinistra in avanti
	set_x_rotate(gambasinistra, 20,1);
	set_translate(gambasinistra, 0,-0.2,1);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 32
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,0,-0.5);
	set_translate(shrek,0,0.3,0);
	set_x_rotate(gambadestra,-10,1);
	set_translate(gambadestra,0,0,-0.5);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 33
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambadestra, 20,1);
	set_translate(gambadestra, 0,-0.15,0.85);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 34
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	set_x_rotate(gambadestra, -10, 1);
	set_translate(gambadestra, 0,-0.1,-0.4);
	set_translate(shrek, 0,0.4,0);
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,-0.1,-0.4);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 35
	//si gira un pochino e raddrizza la gamba che era in movimento
	set_x_rotate(gambasinistra, 10,1);
	set_translate(gambasinistra, 0,-0.1,0.4);

	set_z_rotate(shrek, -20, 1);
	set_translate(shrek, 0.6,0,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 36
	//si gira un pochino ancora
	set_z_rotate(shrek, -20, 1);
	set_translate(shrek, 0.7,0,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 37
	//cammina ancora e intanto si chiude la porta  (16 frames)
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	//PRIMO MOVIMENTO: si porta la gamba destra in avanti (prima metto a posto il piede)
	set_z_rotate(gambadestra, 50, 1);
	set_translate(gambadestra, -1.6,-0.9,0);
	set_x_rotate(gambadestra, 20,1);
	set_translate(gambadestra, 0.0,-0.1,0.7);
	set_y_rotate(gambadestra, -10,1);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 38
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambadestra, -20, 1);
	set_y_rotate(gambadestra, 10,1);
	set_translate(gambadestra, -0.1,-0.1,-0.67);
	set_translate(shrek, 0.2,0.4,0);
	set_x_rotate(gambasinistra, -10,1);
	set_y_rotate(gambasinistra, 10,1);
	set_translate(gambasinistra, 0,-0.1,-0.3);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 39
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.12,0);
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambasinistra, 20,1);
	set_y_rotate(gambasinistra,-10,1);
	set_translate(gambasinistra, -0.13,-0.2,0.57);
	set_translate(scarpasx, -0.01,0.01,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 40
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.12,0);
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -10, 1);
	set_translate(gambasinistra, 0,0.1,-0.3);
	set_translate(shrek, 0,0.4,0);
	set_x_rotate(gambadestra, -10,1);
	set_translate(gambadestra, -0.05,-0.1,-0.25);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 41 -altri passi
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0); 
	//PRIMO MOVIMENTO: si porta la gamba destra in avanti (prima metto a posto il piede)
	set_x_rotate(gambadestra, 20,1);
	set_translate(gambadestra, 0.0,-0.1,0.4);
	set_y_rotate(gambadestra, -10,1);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 42
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambadestra, -20, 1);
	set_y_rotate(gambadestra, 10,1);
	set_translate(gambadestra, -0.1,-0.1,-0.43);
	set_translate(shrek, 0.2,0.4,0.1);
	set_x_rotate(gambasinistra, -10,1);
	set_y_rotate(gambasinistra, 10,1);
	set_translate(gambasinistra, -0.05,-0.1,-0.13);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	
	//N.frame 43 - qui si inizia a muovere la telecamera - animazione8.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambasinistra, 20,1);
	set_y_rotate(gambasinistra,-10,1);
	set_translate(gambasinistra, -0.13,-0.2,0.24);
	set_translate(scarpasx, -0.01,0.01,0);
	set_z_rotate(gambasinistra, -20,1);
	set_translate(gambasinistra, 0.45,0.15,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 44 - animazione7.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -10, 1);
	set_y_rotate(gambasinistra, 5,1);
	set_translate(gambasinistra, 0.05,0.1,-0.11);
	set_translate(shrek, 0.3,0.4,-0.04);
	set_x_rotate(gambadestra, -10,1);
	set_translate(gambadestra, 0.0,-0.1,-0.1);
	set_translate(scarpasx, -0.02,0,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 45 - allinea le gambe - animazione7.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);
	set_x_rotate(gambadestra, 20,1);
	set_translate(gambadestra, 0.0,0.1,0.25);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 46 - si gira un po' - animazione6.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);

	set_z_rotate(shrek, 20, 1);
	set_translate(shrek, 0,-0.2,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 47 - ritorna rivolto alla telecamera - animazione5.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.29,-0.1,0);

	set_z_rotate(shrek, 20, 1);
	set_translate(shrek, -0.05,0,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 48 - qui ci fermiamo e facciamo allontanare un po' la telecamera mentre la porta finisce di chiudersi
	//animazione10.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.29,-0.1,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 49 - animazione11.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 50 - animazione12.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 51 - animazione13.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 52 -  porta chiusa - animazione14.vw
	set_z_rotate(porta, 5, 1);  
	set_translate(porta,-0.3,-0.1,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 53 - ora viene un po' più avanti e poi saluterà - animazione15.vw
	//PRIMO MOVIMENTO: si porta la gamba sinistra in avanti
	set_x_rotate(gambasinistra, 15,1);
	set_translate(gambasinistra, -0.03,0.3,0.1);
	set_z_rotate(gambasinistra, -20,1);
	set_y_rotate(gambasinistra, 5,1);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 54 - animazione16.vw
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -15,1);
	set_translate(gambasinistra, 0,0,-0.02);
	set_translate(shrek,0,0.3,0);
	set_x_rotate(gambadestra,-15,1);
	set_translate(gambadestra,0,0,0.08);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 55 - animazione17.vw
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambadestra, 30,1);
	set_translate(gambadestra, 0,0.08,-0.13);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 56 - animazione18.vw
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	//dopodichè il movimento per intero viene ripetuto diverse volte
	set_x_rotate(gambadestra, -15, 1);
	set_translate(gambadestra, 0,0.03,0.06);
	set_translate(shrek, 0,0.2,0);
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,0.1,0.08);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 57 - cammina ancora - animazione19.vw
	//PRIMO MOVIMENTO: si porta la gamba sinistra in avanti
	set_x_rotate(gambasinistra, 30,1);
	set_translate(gambasinistra, 0,0,-0.27);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 58 - animazione20.vw
	//SECONDO MOVIMENTO: si appoggia la gamba mossa in precedenza spostando il corpo con essa e si piega indietro l'altra gamba
	set_x_rotate(gambasinistra, -17,1);
	set_translate(gambasinistra, 0,0.04,0.125);
	set_translate(shrek,0,0.3,0);
	set_x_rotate(gambadestra,-15,1);
	set_translate(gambadestra,0.01,0,0.2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 59 - animazione20.vw
	//TERZO MOVIMENTO: la gamba dietro si porta avanti senza spostare il corpo
	set_x_rotate(gambadestra, 30,1);
	set_translate(gambadestra, 0,0.08,-0.4);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 60 - animazione21.vw
	//QUARTO MOVIMENTO: si appoggia la seconda gamba, si sposta il corpo in avanti e si piega indietro l'altra gamba
	//dopodichè il movimento per intero viene ripetuto diverse volte
	set_x_rotate(gambadestra, -15, 1);
	set_translate(gambadestra, 0,0.03,0.2);
	set_translate(shrek, 0,0.3,0);
	set_x_rotate(gambasinistra, -10,1);
	set_translate(gambasinistra, 0,0,0.18);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 61 - riallinea la gamba sinistra e comincia a tirare su il braccio - animazione22.vw
	set_x_rotate(gambasinistra, 10, 1);
	set_translate(gambasinistra, 0,0,-0.18);

	//la lista bracciosinistro è creata al frame 27 
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, -0.02,0.05,-0.2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 62 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, -0.02,0.05,-0.17);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 63 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, 0,0.1,-0.17);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);	
	//N.frame 64 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, 0,0.1,-0.165);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);	
	//N.frame 65 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, 0.02,0.1,-0.17);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);	
	//N.frame 66 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);	
	set_z_rotate(bracciosinistro, 5,1);
	set_translate(bracciosinistro, 0.06,0,-0.2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 67 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);	
	set_z_rotate(bracciosinistro, 5,1);
	set_translate(bracciosinistro, 0.1,0,-0.15);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 68 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);	
	set_z_rotate(bracciosinistro, 5,1);
	set_translate(bracciosinistro, 0.1,0,-0.15);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 69 - animazione20.vw
	set_x_rotate(bracciosinistro, 10,1);	
	set_z_rotate(bracciosinistro, 5,1);
	set_translate(bracciosinistro, 0.1,0.05,-0.2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 70 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);	
	set_y_rotate(bracciosinistro, -10,1);
	set_translate(bracciosinistro, 0.1,0.1,-0.3);

	set_y_rotate(mano, 15,1);
	set_translate(mano, -0.14,0,0.2);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 71 - gira la mano - animazione23.vw
	set_y_rotate(bracciosinistro, -10,1);
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro, 0.09,-0.0,-0.3);

	set_z_rotate(mano, 10,1);
	set_y_rotate(mano, 17,1);
	set_translate(mano, 0.06,-0.07,0.17);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	//N.frame 72 - animazione23.vw
	set_z_rotate(mano, 10,1);
	set_translate(mano, 0.2,-0.1,0.01);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 73 - animazione23.vw
	set_x_rotate(bracciosinistro, 10,1);
	set_translate(bracciosinistro,0,0.1,-0.15);
	set_z_rotate(mano, 15,1);
	set_translate(mano, 0.3,-0.08,0.02);
	set_y_rotate(mano, 5, 1);
	set_translate(mano,-0.074,-0.11,0.04);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 74 - animazione23.vw
	//per  muovere la mano per il saluto, muove solo la mano e non il polso, quindi creo una lista da cui escludo il polso
	ITEM manosinistra;
	manosinistra = create_list(palmo, "mano");
	manosinistra = insert_in_list(manosinistra, pollice);	
	manosinistra = insert_in_list(manosinistra,indice);
	manosinistra = insert_in_list(manosinistra,medio);
	manosinistra = insert_in_list(manosinistra,anulare);
	manosinistra = insert_in_list(manosinistra,mignolo);

	set_y_rotate(manosinistra,10,1);
	set_translate(manosinistra, -0.1,0,0.13);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 75 - animazione23.vw
	set_y_rotate(manosinistra,-10,1);
	set_translate(manosinistra, 0.12,0.01,-0.11);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 76 - animazione23.vw
	set_y_rotate(manosinistra,-10,1);
	set_translate(manosinistra, 0.12,0,-0.11);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 77 - animazione23.vw
	set_y_rotate(manosinistra,10,1);
	set_translate(manosinistra, -0.1,-0.01,0.13);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 78 - animazione23.vw
	set_y_rotate(manosinistra,10,1);
	set_translate(manosinistra, -0.095,0.01,0.13);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 79 - animazione23.vw
	set_y_rotate(manosinistra,-10,1);
	set_translate(manosinistra, 0.12,0.01,-0.11);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 80 - animazione23.vw
	set_y_rotate(manosinistra,-10,1);
	set_translate(manosinistra, 0.12,0,-0.11);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 81 - rimetto la mano a posto e comincia ad abbassare il braccio - animazione23.vw
	set_y_rotate(manosinistra,10,1);
	set_translate(manosinistra, -0.095,0.01,0.12);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 82 - una decina/11 frame per riportarlo giù - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_translate(bracciosinistro,0,-0.05,0.16);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 83  - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_translate(bracciosinistro,0,-0.1,0.18);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 84 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_translate(bracciosinistro,0,-0.05,0.16);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 85 - animazione23.vw 
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.11,0.05,0.17);
	set_translate(manosinistra, 0,0,0.02);
	set_translate(mano, 0,0,-0.02);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 86 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.07,0.05,0.18);
	set_y_rotate(mano, -40,1);
	set_translate(mano,0.47,0,-0.34);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 87 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.1,0.05,0.17);
	set_y_rotate(mano, -20,1);
	set_translate(mano,0.19,0,-0.22);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 88 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.08,0,0.18);
	set_x_rotate(mano, -10,1);
	set_translate(mano,0.01,-0.02,0.23);
	set_translate(manosinistra,-0.01,-0.02,0);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 89 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.08,0,0.18);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 90 - animazione23.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.1,0.03,0.18);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 91 - animazione24.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.1,0.03,0.17);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 92 - animazione25.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_z_rotate(bracciosinistro, -5,1);
	set_translate(bracciosinistro,-0.1,0.03,0.19);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 93 - animazione26.vw
	set_x_rotate(bracciosinistro, -10,1);
	set_y_rotate(bracciosinistro, 10,1);	
	set_translate(bracciosinistro,-0.0,-0.01,0.32);
	set_translate(mano, 0,0,0.01);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 94 - e adesso si spegne la luce - animazione27.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.6,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 95 - animazione28.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.5,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 96 - animazione29.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.4,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 97 - animazione30.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.3,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 98 - animazione31.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.2,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 99 - animazione32.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.1,0,light);

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);
	//N.frame 100 - animazione33.vw
	set_point_light(1.775,3.628,1.185,1,1,1,0.0001,0,light);
	fuoco = create_point_light(-1.9,-0.159,0.241,1,0.6,0.0,1,10,"fuoco");

	save_scene_ani(100, "miaanimazione.ani", "animazione", "Shrek_home", scena);

	return(0);
}
















