#include "descriptor/descriptor.h"

int main(void)
{
	/********Definizione elementi*******/
	ITEM light, fuoco;
	//PERSONAGGIO
	ITEM testa, orecchiosx, orecchiodx, naso, occhio1, occhio2, sopracciglio1, sopracciglio2, faccia, bocca;
	ITEM corpo, bracciodx, bracciosx, gambadx, gambasx, pancia, scarpadx, scarpasx,cintura;
	ITEM palmo, pollice, indice, medio, anulare, mignolo, polso;
	//STANZA
	ITEM pavimento, soffitto, paretedx, paretesx, sfondo;
	//ARREDAMENTO
	//SEDIA
	ITEM gambasedia1, gambasedia2,gambasedia3,gambasedia4, poggiapiedi, poggiatesta, schienale, sedile, bracciolodx, bracciolosx;
	//TAVOLO
	ITEM pianotavolo, gambatavolo1, gambatavolo2, sottotavolo;
	//tappeto
	ITEM tappeto;
	//CAMINO
	ITEM basecamino, assecamino1, assecamino2, asseHcamino, anellopentola, supportopentola, pentola, sfondocamino;
	//VASO
	ITEM corpovaso, decorvaso;
	//PORTA
	ITEM pianoporta, pomello, cardineH, cardineL, aperturaporta;
	//portafrutta
	ITEM portafrutta;
	//ATTRIBUTI
	ITEM attr,attr2, attr3, attr4, attr5;	
	//Diverse liste a seconda delle texture applicate
	ITEM shrek, pelle, maglia, pantaloni, sopracciglia, occhi, scena, mano, manodx, pareti, tavolo, sedia, camino, vaso, porta;
	
	
	/*******Impostazioni generali della scena*******/
	set_background(0.4,0.361,0.753,TRUE);
	set_ambient_light(1,1,1,0.7);
	light = create_point_light(1.775,3.628,1.185,1,1,1,0.8,0,"luce");
	//aggiungere le seguenti due righe per simulare la notte	
	//fuoco = create_point_light(-1.9,-0.159,0.241,1,0.6,0.0,1,10,"fuoco");
	//set_point_light(1.775,3.628,0.8,1,1,1,0.0001,0,light);

	/****Creazione attributi********/
	attr = create_attribute("generico");
	set_color(attr,0.2,0.2,1,0.3,0.5);
	set_reflectivity(attr,0,6);

	attr2=create_attribute("coccio_opaco");
	set_color(attr2,1,1,1,0.3,0.4);
	set_reflectivity(attr2,0.1,1);

	attr3 = create_attribute("nero");
	set_color(attr3,0,0,0,0.1,0.1);
	set_reflectivity(attr3,0,6);

	attr4 = create_attribute("bronzo");
	set_color(attr4,0.6,0.4,0,0.3,0.15);
	set_reflectivity(attr4,0.3,20);
	
	attr5 = create_attribute("bocca");
	set_color(attr5, 1,0.8,0.4,0.3,0.4);
	set_reflectivity(attr5,0,7);	

	/******Lettura superfici*****/
	//SUPERFICI PERSONAGGIO
	testa = read_nurbs("testa_trimmata2.dbe");
	faccia = read_nurbs("faccia4.db");
	bocca = read_nurbs("bocca_new3.db");
	orecchiosx = read_nurbs("orecchio2.db");
	orecchiodx = read_nurbs("orecchiodx.db");
	naso = read_nurbs("naso.db");
	occhio1 = read_nurbs("occhio1.db");
	occhio2 = read_nurbs("occhio2.db");
	sopracciglio1 = read_nurbs("sopracciglio.db");
	sopracciglio2 = create_copy(sopracciglio1, "sopracciglio2");
	corpo = read_nurbs("corpo.db");
	bracciodx = read_nurbs("bracciodx.db");
	bracciosx = read_nurbs("bracciosx.db");
	gambadx = read_nurbs("gambadx.db");
	gambasx = read_nurbs("gambasx.db");
	pancia = read_nurbs("pancia.db");
	scarpasx = read_nurbs("scarpasx.db");
	scarpadx = read_nurbs("scarpadx.db");
	palmo = read_nurbs("palmo.db");
	pollice = read_nurbs("pollice.db");
	indice = read_nurbs("indice.db");
	medio = read_nurbs("medio.db");
	anulare = read_nurbs("anulare.db");
	mignolo = read_nurbs("mignolo.db");
	polso = read_nurbs("polso.db");
	cintura = read_nurbs("cintura.db");

	//SUPERFICI STANZA
	pavimento = read_nurbs("pavimento.db");
	paretesx = read_nurbs("paretesx.db");
	sfondo = read_nurbs("sfondo_trimmato.dbe");
	aperturaporta = read_nurbs("aperturaporta.db");
	soffitto = create_copy(pavimento, "soffitto");
	paretedx = create_copy(paretesx, "paretedx");

	//SUPERFICI ARREDAMENTO
	//SEDIA
	gambasedia1 = read_nurbs("gambasedia1.db");
	poggiapiedi  = read_nurbs("poggiapiedi.db");
	poggiatesta  = read_nurbs("poggiatesta.db");
	schienale = read_nurbs("schienale.db");
	sedile = read_nurbs("sedile.db");
	bracciolosx = read_nurbs("bracciolosx.db");
	bracciolodx = create_copy(bracciolosx, "bracciolodx");
	gambasedia2 = create_copy(gambasedia1, "gambasedia2");
	gambasedia3 = create_copy(gambasedia1, "gambasedia3");
	gambasedia4 = create_copy(gambasedia1, "gambasedia4");	

	//TAVOLO
	pianotavolo = read_nurbs("pianotavolo.db");
	gambatavolo1 = read_nurbs("gambatavolo.db");
	gambatavolo2 = read_nurbs("gambatavolo2.db");
	sottotavolo = read_nurbs("sottotavolo.db");

	//tappeto	
	tappeto = read_nurbs("tappeto.db");

	//VASO
	corpovaso = read_nurbs("vaso.db");
	decorvaso = read_nurbs("decorazionevaso.db");

	//portafrutta
	portafrutta = read_nurbs("portafrutta.db");

	//CAMINO
	basecamino = read_nurbs("basecamino.db");
	assecamino1 = read_nurbs("assecamino.db");
	assecamino2 = create_copy(assecamino1, "assecamino2");
	asseHcamino = read_nurbs("asseHcamino.db");
	sfondocamino = read_nurbs("sfondocamino.db");
	anellopentola = read_nurbs("anellopentola.db");
	pentola = read_nurbs("pentola.db");
	supportopentola = read_nurbs("supportopentola.db");

	//PORTA
	pianoporta = read_nurbs("porta.db");
	cardineH = read_nurbs("cardine.db");
	cardineL = create_copy(cardineH, "cardineL");
	pomello = read_nurbs("pomello.db");

	/*****Settaggio attributi*****/
	//vaso
	set_attribute(corpovaso, attr2);
	set_attribute(decorvaso, attr);

	//portafrutta
	set_attribute(portafrutta, attr4);
	
	//CAMINO
	set_attribute(anellopentola, attr4);
	set_attribute(supportopentola, attr4);
	set_attribute(sfondocamino,attr3);

	//cardini
	set_attribute(cardineH, attr4);
	set_attribute(cardineL, attr4);
	set_attribute(pomello, attr4);

	//bocca
	set_attribute(bocca, attr5);
	
	/****Gestione liste****/
	mano = create_list(palmo, "mano");
	mano = insert_in_list(mano, pollice);	
	mano = insert_in_list(mano,indice);
	mano = insert_in_list(mano,medio);
	mano = insert_in_list(mano,anulare);
	mano = insert_in_list(mano,mignolo);
	mano = insert_in_list(mano,polso);
	
	//creo una copia della mano per fare l'altra
	manodx = create_copy(mano, "manodx");

	pelle = create_list(testa,"pelle");
	pelle = insert_in_list(pelle,orecchiosx);	
	pelle = insert_in_list(pelle,orecchiodx);
	pelle = insert_in_list(pelle,naso);
	pelle = insert_in_list(pelle,faccia);
	pelle = insert_in_list(pelle, mano);
	pelle = insert_in_list(pelle, manodx);
	
	maglia = create_list(corpo, "maglia");
	maglia = insert_in_list(maglia,pancia);
	maglia = insert_in_list(maglia,bracciosx);
	maglia = insert_in_list(maglia,bracciodx);

	sopracciglia = create_list(sopracciglio1, "sopracc");
	sopracciglia = insert_in_list(sopracciglia, sopracciglio2);
	
	occhi = create_list(occhio1, "eyes");
	occhi = insert_in_list(occhi,occhio2);	
	
	//in questa lista inserisco tutti i pezzi del pupazzo, sia le liste, sia i singoli pezzi
	shrek = create_list(pelle, "shrek");
	shrek = insert_in_list(shrek, maglia);
	shrek = insert_in_list(shrek, sopracciglia);
	shrek = insert_in_list(shrek, occhi);
	shrek = insert_in_list(shrek, gambadx);
	shrek = insert_in_list(shrek, gambasx);
	shrek = insert_in_list(shrek, scarpadx);
	shrek = insert_in_list(shrek, scarpasx);
	shrek = insert_in_list(shrek, cintura);
	shrek = insert_in_list(shrek, bocca);

	//PARETI
	pareti = create_list(pavimento, "pareti");
	pareti = insert_in_list(pareti, paretesx);
	pareti = insert_in_list(pareti, sfondo);
	pareti = insert_in_list(pareti, soffitto);
	pareti = insert_in_list(pareti, paretedx);
	pareti = insert_in_list(pareti, aperturaporta);

	//ARREDAMENTO
	//tavolo
	tavolo = create_list(pianotavolo, "tavolo");
	tavolo = insert_in_list(tavolo, gambatavolo1);
	tavolo = insert_in_list(tavolo, gambatavolo2);
	tavolo = insert_in_list(tavolo, sottotavolo);

	//sedia
	sedia = create_list(gambasedia1, "sedia");
	sedia = insert_in_list(sedia, gambasedia2);
	sedia = insert_in_list(sedia, gambasedia3);
	sedia = insert_in_list(sedia, gambasedia4);
	sedia = insert_in_list(sedia, poggiatesta);
	sedia = insert_in_list(sedia, poggiapiedi);
	sedia = insert_in_list(sedia, schienale);
	sedia = insert_in_list(sedia, sedile);
	sedia = insert_in_list(sedia, bracciolosx);
	sedia = insert_in_list(sedia, bracciolodx);
	
	//CAMINO
	camino = create_list(basecamino, "camino");
	camino = insert_in_list(camino, assecamino1);
	camino = insert_in_list(camino, assecamino2);
	camino = insert_in_list(camino, asseHcamino);
	camino = insert_in_list(camino, sfondocamino);
	camino = insert_in_list(camino, anellopentola);
	camino = insert_in_list(camino, pentola);
	camino = insert_in_list(camino, supportopentola);

	//vaso
	vaso = create_list(corpovaso, "vaso");
	vaso = insert_in_list(vaso, decorvaso);
	
	//porta
	porta = create_list(pianoporta, "porta");
	porta = insert_in_list(porta, cardineH);
	porta = insert_in_list(porta, cardineL);
	porta = insert_in_list(porta, pomello);

	/****posizioni definitive********/
	scena = create_list(shrek,"scena");
	scena = insert_in_list(scena, pareti);
	scena = insert_in_list(scena, tavolo);
	scena = insert_in_list(scena, sedia);
	scena = insert_in_list(scena, tappeto);
	scena = insert_in_list(scena, camino);
	scena = insert_in_list(scena, vaso);
	scena = insert_in_list(scena, porta);
	scena = insert_in_list(scena, portafrutta);
	

	/*********Trasformazioni sulle singole superfici***********/
		//manosx
	set_scale(mano,0.5,0.5,0.5);
	set_z_rotate(mano, 90, 1);
	set_y_rotate(mano, 110, 1);
	set_z_rotate(mano, 40, 1);
	set_translate(mano,-0.59,0.45,0.12);
		
		//manodx
	set_scale(manodx,0.5,0.5,0.5);
	set_z_rotate(manodx, -90, 1);
	set_y_rotate(manodx, -120, 1);
	set_z_rotate(manodx, -25, 1);
	set_translate(manodx,0,0.4,0.05);

	//naso
	set_x_rotate(naso, 15, 1);
	set_translate(naso, 0.02,0.24,-0.07);

	//occhi - li muovo insieme
	set_translate(occhi, 0.02,0.04,-0.07);

	//sopracciglia
	set_x_rotate(sopracciglia,27,1);
	set_scale(sopracciglia,1,1.5,1.5);
	//Sopracciglio dx
	set_translate(sopracciglio1,0.02,0.71,-0.54);
	//sopracciglio sx
	set_scale(sopracciglio2,-1,1,1);
	set_translate(sopracciglio2, -0.72,0.71,-0.54);

	//cintura
	set_scale(cintura, 0.65,0.68,0.8);
	set_translate(cintura,-0.2,0.14, -0.26);

	//personaggio	
	set_scale(shrek, 0.4,0.4,0.4);
	set_translate(shrek, 1,0.6,-0.01);

		//Pareti
	set_scale(sfondo, 2,1,1);
	set_scale(aperturaporta,2,1,1);
	set_scale(soffitto,2,3,1);
	set_scale(pavimento,2,3,1);
	set_scale(paretedx, 1,3,1);
	set_scale(paretesx, 1,3,1);

	set_translate (paretedx,-3,2,0);
	set_translate(paretesx, 1, 2,0);
	set_translate(pavimento, 0,2,0);
	set_translate(soffitto, 0,2,2);
	
	set_translate(pareti, 0,-2.5,0.5);
		
		//tavolo
	set_scale(tavolo, 0.4,0.4,0.4);
	set_translate(tavolo, 0,-0.079,-0.456);
			
		//sedia
	set_translate(gambasedia2,-0.28,0,0);
	set_translate(gambasedia3,0,-0.28,0);
	set_translate(gambasedia4,-0.28,-0.28,0);
	set_translate(bracciolodx, 0.45, 0,0);

	set_z_rotate(sedia, 30, 1);
	set_scale(sedia, 1,0.8,0.8);
	set_translate(sedia, 0.3,-0.887,0.0);	

	//tappeto
	set_translate(tappeto,0,0.209,-0.500);

	//vaso
	set_scale(vaso, 0.2,0.2,0.2);
	set_translate(vaso, 0,-0.019,0.093); 
	
	//portafrutta
	set_scale(portafrutta, 0.3,0.3,0.3);
	set_z_rotate(portafrutta, 106,1);
	set_translate(portafrutta, -0.138, 0.587,-0.060 );

	//camino
	set_scale(camino, 0.6,0.6,0.6);
	set_y_rotate(assecamino2, 60, 1);
	set_translate(assecamino2, -1,0,0);
	set_scale(basecamino, 0.9,1,1);
	set_translate(basecamino, 0.05,0,0);
	set_z_rotate(camino, -90,1);
	set_translate(camino, -1.692,-0.624,0.35);

	//PORTA
	set_scale(porta, 0.7,0.7,0.7);
	set_translate(porta, 0.5, -3.5, 0.296);
	set_translate(cardineL,0,0, -0.976);
	set_scale(porta, 1,1,0.88);
	
	/****Settaggio textures*****/
	//personaggio
	set_domain_texture(pelle, attr, "textures/skin.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(maglia, attr, "textures/fabric.hr",0,1,0,1,FALSE,0.4,0.4);	
	
	set_domain_texture(sopracciglia, attr, "textures/pelo2.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(gambasx, attr, "textures/fabricpant.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(gambadx, attr, "textures/fabricpant.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(occhi, attr, "textures/occhi.hr",0,1,0,1,TRUE,0.4,0.4);		
	set_domain_texture(scarpadx, attr, "textures/scarpe.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(scarpasx, attr, "textures/scarpe.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(cintura, attr, "textures/cintura.hr",0,1,0,1,FALSE,0.4,0.4);	
	//tavolo
	set_projection_texture(pianotavolo,attr,"textures/wood3.hr",2,TRUE,0.4,0.4);
	set_projection_texture(gambatavolo1,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);	
	set_projection_texture(gambatavolo2,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);	
	set_projection_texture(sottotavolo,attr,"textures/wood2.hr",2,TRUE,0.4,0.4);	
	
	//pareti
	set_projection_texture(pavimento,attr,"textures/pietra.hr",2,TRUE,0.4,0.4);
	set_projection_texture(soffitto,attr,"textures/muro.hr",2,TRUE,0.4,0.4);
	set_projection_texture(sfondo,attr,"textures/muro.hr",1,TRUE,0.4,0.4);
	set_projection_texture(paretedx,attr,"textures/muro.hr",0,TRUE,0.4,0.4);
	set_projection_texture(paretesx,attr,"textures/muro.hr",0,TRUE,0.4,0.4);

	//sedia
	set_projection_texture(gambasedia1,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia2,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia3,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(gambasedia4,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_projection_texture(poggiapiedi,attr,"textures/wood1.hr",1,TRUE,0.4,0.4);
	set_domain_texture(sedile, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(schienale, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(bracciolodx, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);	
	set_domain_texture(bracciolosx, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);
	set_domain_texture(poggiatesta, attr, "textures/rivestimentosedia.hr",0,1,0,1,FALSE,0.4,0.4);
	//tappeto
	set_projection_texture(tappeto,attr,"textures/carpet.hr",2,TRUE,0.4,0.4);
	
	//camino
	set_projection_texture(assecamino1,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(assecamino2,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(basecamino,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_projection_texture(asseHcamino,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	set_domain_texture(pentola, attr, "textures/rame.hr",0,1,0,1,TRUE,0.4,0.4);	
	set_domain_texture(sfondocamino, attr, "textures/fiamme.hr",0,1,0,1,TRUE,0.4,0.4);

	//porta
	set_projection_texture(pianoporta,attr,"textures/wood2.hr",1,TRUE,0.4,0.4);
	
	/*********Salvataggio scena**********/
	save_scene("shrek.md","shrek",scena); //questa va salvata solo per il modello
	return(0);

}
